shishi_ap_authenticator_cksumraw_set(3)

NAME
shishi_ap_authenticator_cksumraw_set - API function

SYNOPSIS
#include <shishi.h>

void shishi_ap_authenticator_cksumraw_set(Shishi_ap * ap, int32_t authenticatorcksumtype, const char * authenticatorcksumraw, size_t authenticatorcksumrawlen);

ARGUMENTS

Shishi_ap * ap
    structure that holds information about AP exchange

int32_t authenticatorcksumtype
    authenticator checksum type to set in AP.

const char * authenticatorcksumraw
    input array with authenticator checksum field value to set in Authenticator in AP-REQ.

size_t authenticatorcksumrawlen
    length of input array with authenticator checksum field value to set in Authenticator in AP-REQ.

DESCRIPTION
Set the Authenticator Checksum Data in the AP exchange. This is the actual checksum field, not data to compute checksum on and then store in the checksum field. See also shishi_ap_authenticator_cksumdata_set.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.